Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface SpecializationType

All Superinterfaces:
  ElementType, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  SpecializationTypeImpl

    public interface SpecializationType

extends ElementType

A representation of the model object 'Specialization Type'. Specialization of metamodel type

The following features are supported:

- `Metamodel Type`
- `Edit Helper Advice Class Name`

See Also:
  `GMFGenPackage.getSpecializationType()`
** Generated **
Model:

Field Summary
`static java.lang.String` `EDIT_HELPER_ADVICE_SUFFIX`

Method Summary
`java.lang.String` `getEditHelperAdviceClassName()` Returns the value of the 'Edit Helper Advice Class Name' attribute
`java.lang.String` `getEditHelperAdviceQualifiedClassName()`
`org.eclipse.emf.codegen.ecore.genmodel.GenClass` `getMetamodelClass()`
`MetamodelType` `getMetamodelType()` Returns the value of the 'Metamodel Type' reference
`void` `setEditHelperAdviceClassName(java.lang.String value)` Sets the value of the '`Edit Helper Advice Class Name`' attribute
`void` `setMetamodelType(MetamodelType value)` Sets the value of the '`Metamodel Type`' reference

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.ElementType
`getDiagramElement, getDisplayName, getUniqueIdentifier, isDefinedExternally, setDefinedExternally, setDiagramElement, setDisplayName, setUniqueIdentifier`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### EDIT_HELPER_ADVICE_SUFFIX

    static final java.lang.String EDIT_HELPER_ADVICE_SUFFIX

See Also:
  Constant Field Values

Method Detail

### getMetamodelType

    MetamodelType getMetamodelType()

  Returns the value of the 'Metamodel Type' reference.

  If the meaning of the 'Metamodel Type' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Metamodel Type' reference.
  See Also:
    `setMetamodelType(MetamodelType)`, `GMFGenPackage.getSpecializationType_MetamodelType()`
  ** Generated **
  Model:

### setMetamodelType

    void setMetamodelType(MetamodelType value)

  Sets the value of the '`Metamodel Type`' reference.

  Parameters:
    `value` - the new value of the 'Metamodel Type' reference.
  See Also:
    `getMetamodelType()`
  ** Generated **

### getEditHelperAdviceClassName

    java.lang.String getEditHelperAdviceClassName()

  Returns the value of the 'Edit Helper Advice Class Name' attribute.

  If the meaning of the 'Edit Helper Advice Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Edit Helper Advice Class Name' attribute.
  See Also:
    `setEditHelperAdviceClassName(String)`, `GMFGenPackage.getSpecializationType_EditHelperAdviceClassName()`
  ** Generated **
  Model:

### setEditHelperAdviceClassName

    void setEditHelperAdviceClassName(java.lang.String value)

  Sets the value of the '`Edit Helper Advice Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Edit Helper Advice Class Name' attribute.
  See Also:
    `getEditHelperAdviceClassName()`
  ** Generated **

### getMetamodelClass

    org.eclipse.emf.codegen.ecore.genmodel.GenClass getMetamodelClass()

  ** Generated **
  Model:
    kind="operation"

### getEditHelperAdviceQualifiedClassName

    java.lang.String getEditHelperAdviceQualifiedClassName()

  ** Generated **
  Model:
    kind="operation"

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.